<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XCalledPartyTracing StructType
 * @subpackage Structs
 */
class XCalledPartyTracing extends AbstractStructBase
{
    /**
     * The directorynumber
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $directorynumber;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * Constructor method for XCalledPartyTracing
     * @uses XCalledPartyTracing::setDirectorynumber()
     * @uses XCalledPartyTracing::setDescription()
     * @param string $directorynumber
     * @param string $description
     */
    public function __construct($directorynumber = null, $description = null)
    {
        $this
            ->setDirectorynumber($directorynumber)
            ->setDescription($description);
    }
    /**
     * Get directorynumber value
     * @return string
     */
    public function getDirectorynumber()
    {
        return $this->directorynumber;
    }
    /**
     * Set directorynumber value
     * @param string $directorynumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCalledPartyTracing
     */
    public function setDirectorynumber($directorynumber = null)
    {
        $this->directorynumber = $directorynumber;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCalledPartyTracing
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
}
